@import "src/theme/theme-variables";

.input-container {
  display: flex;
  flex-direction: column;

  & h5 {
    margin: 0;
    margin: 10px;
    font-size: $text;
    font-weight: 500;
    font-family: $font-family-num;
    color: theme-color("primary");
  }

  & mat-hint {
    font-family: $font-family;
  }

  & mat-error {
    font-family: $font-family;
  }

  & .suffix {
    font-family: $font-family-num;
    font-size: $text;
    color: #a2a1a2;
  }

  &::ng-deep {
    .mat-form-field-suffix {
      top: -13px;
    }
    .mat-form-field-subscript-wrapper {
      margin-top: 0.2rem;
    }
  }

  & .hint {
    padding: 0 3px !important;
  }

  &--suffix {
    & input {
      font-size: $text;
      font-family: $font-family-num !important;
      
    }

    .close-button {
      top: -5px !important;
    }
  }

  &--number {
    & input {
      font-size: $text;
      font-family: $font-family-num !important;
    }

    .close-button {
      top: -20px !important;
    }
  }

  &--price {
    & input {
      font-size: $text;
      font-family: $font-family-num !important;
      &::-webkit-inner-spin-button {
        display: none;
      }
    }
  }

  & input {
    font-size: $text;
    font-family: $font-family;
    height: 100%;
    padding-top: 2px;
  }

  & label {
    font-family: $font-family-num;
    color: theme-color("primary");
    font-size: $text;
    font-weight: 400;
    & span.validation-star {
      color: red;
    }

    & span.chosen {
      font-size: $text;
    }
  }

  & .close-button {
    align-items: center;
    display: flex;
    justify-content: center;
    position: absolute;
    top: -20px;
    left: -10px;
    width: 2em !important;
    height: 2em !important;

    &--multi {
      top: -3px;
      left: 25px !important;
    }

    & span {
      display: flex;
      color: #999;
    }

    & mat-icon {
      font-size: $title;
      width: auto;
      height: auto;
    }
  }

  &__tiny {
    & input {
      font-family: $font-family-num;
    }

    &::ng-deep {
      .mat-form-field-wrapper {
        padding: 0;
      }

      .mat-form-field-infix {
        max-width: 80px;
      }
    }
  }

  &__miny {
    & input {
      font-family: $font-family-num;
    }

    &::ng-deep {
      .mat-form-field-wrapper {
        padding: 0;
      }

      .mat-form-field-infix {
        max-width: 30px;
        padding: 7px 0 !important;
      }
    }
  }
}
/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type="number"] {
  -moz-appearance: textfield;
}
